namespace KStdAccel

# namespace KStdAccel | Convenient methods for access to the common accelerator keys in the key configuration. More...
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- class ShortcutList
- enum StdAccel { AccelNone, Open, New, Close, Save, Print, Quit, Undo, Redo, Cut, Copy, Paste, SelectAll, Deselect, DeleteWordBack, DeleteWordForward, Find, FindNext, FindPrev, Replace, Home, End, Prior, Next, GotoLine, AddBookmark, ZoomIn, ZoomOut, Up, Back, Forward, Reload, PopupMenuContext, ShowMenubar, Help, WhatsThis, TextCompletion, PrevCompletion, NextCompletion, SubstringCompletion, RotateUp, RotateDown , WhatThis = WhatsThis }

#### Public Methods

- const KShortcut& shortcut (StdAccel id)
- QString name (StdAccel id)
- QString label (StdAccel id)
- QString whatsThis (StdAccel id)
- StdAccel findStdAccel ( const KKeySequence &keySeq )
- KShortcut shortcutDefault (StdAccel id)
- KShortcut shortcutDefault3 (StdAccel id)
- KShortcut shortcutDefault4 (StdAccel id)
- const KShortcut& open ()
- const KShortcut& openNew ()
- const KShortcut& close ()
- const KShortcut& save ()
- const KShortcut& print ()
- const KShortcut& quit ()
- const KShortcut& undo ()
- const KShortcut& redo ()
- const KShortcut& cut ()
- const KShortcut& copy ()
- const KShortcut& paste ()
- const KShortcut& selectAll ()
- const KShortcut& deleteWordBack ()
- const KShortcut& deleteWordForward ()
- const KShortcut& find ()
- const KShortcut& findNext ()
- const KShortcut& findPrev ()
- const KShortcut& replace ()
- const KShortcut& zoomIn ()
- const KShortcut& zoomOut ()
- const KShortcut& insert ()
- const KShortcut& home ()
- const KShortcut& end ()
- const KShortcut& prior ()
- const KShortcut& next ()
- const KShortcut& gotoLine ()
- const KShortcut& addBookmark ()
- const KShortcut& help ()
- const KShortcut& completion ()
- const KShortcut& prevCompletion ()
- const KShortcut& nextCompletion ()
- const KShortcut& substringCompletion ()
- const KShortcut& rotateUp ()
- const KShortcut& rotateDown ()
- const KShortcut& popupMenuContext ()
- const KShortcut& whatsThis ()
- const KShortcut& reload ()
- const KShortcut& up ()
- const KShortcut& back ()
- const KShortcut& forward ()
- const KShortcut& showMenubar ()
- QString action (StdAccel id)
- QString description (StdAccel id)
- int key (StdAccel)
- int defaultKey (StdAccel accel)
- bool isEqual (const QKeyEvent* pEvent, int keyQt)

## Detailed Description

Convenient methods for access to the common accelerator keys in the key configuration. These are the standard keybindings that should be used in all KDE applications. They will be configurable, so do not hardcode the default behavior.

If you want real configurable keybindings in your applications, please checkout the class KAccel in kaccel.h

See also: KAccelShortcutList

ShortcutList (class) | ### ShortcutList

KShortcutList implementation that accesses KStdAccel actions.

enum StdAccel { AccelNone, Open, New, Close, Save, Print, Quit, Undo, Redo, Cut, Copy, Paste, SelectAll, Deselect, DeleteWordBack, DeleteWordForward, Find, FindNext, FindPrev, Replace, Home, End, Prior, Next, GotoLine, AddBookmark, ZoomIn, ZoomOut, Up, Back, Forward, Reload, PopupMenuContext, ShowMenubar, Help, WhatsThis, TextCompletion, PrevCompletion, NextCompletion, SubstringCompletion, RotateUp, RotateDown , WhatThis = WhatsThis } | ### StdAccel

Defines the identifier of all standard accelerators.

const KShortcut& shortcut (StdAccel id) | ### shortcut

Returns the keybinding for `accel`.

Parameters:

id | the id of the accelerator

QString name (StdAccel id) | ### name

Returns a unique name for the given accel.

Parameters:

id | the id of the accelerator

Returns: the unique name of the accelerator

QString label (StdAccel id) | ### label

Returns a localized label for user-visible display.

Parameters:

id | the id of the accelerator

Returns: a localized label for the accelerator

QString whatsThis (StdAccel id) | ### whatsThis

Returns an extended WhatsThis description for the given accelerator.

Parameters:

id | the id of the accelerator

Returns: a localized description of the accelerator

StdAccel findStdAccel ( const KKeySequence &keySeq ) | ### findStdAccel

Return the StdAccel id of the standard accel action which uses this key sequence, or AccelNone if none of them do. This is used by class KKeyChooser.

Parameters:

keySeq | the key sequence to search

Returns: the id of the standard accelerator, or AccelNone if there is none

KShortcut shortcutDefault (StdAccel id) | ### shortcutDefault

Returns the hardcoded default shortcut for `id`. This does not take into account the user's configuration.

Parameters:

id | the id of the accelerator

Returns: the default shortcut of the accelerator

KShortcut shortcutDefault3 (StdAccel id) | ### shortcutDefault3

Returns the hardcoded default 3 modifier shortcut for `id`. This does not take into account the user's configuration.

Parameters:

id | the id of the accelerator

Returns: the default 3 modifier shortcut

KShortcut shortcutDefault4 (StdAccel id) | ### shortcutDefault4

Returns the hardcoded default 4 modifier shortcut for `id`. This does not take into account the user's configuration.

Parameters:

id | the id of the accelerator

Returns: the default 4 modifier shortcut

const KShortcut& open () | ### open

Open file. Default: Ctrl-o

Returns: the shortcut of the standard accelerator

const KShortcut& openNew () | ### openNew

Create a new document (or whatever). Default: Ctrl-n

Returns: the shortcut of the standard accelerator

const KShortcut& close () | ### close

Close current document. Default: Ctrl-w

Returns: the shortcut of the standard accelerator

const KShortcut& save () | ### save

Save current document. Default: Ctrl-s

Returns: the shortcut of the standard accelerator

const KShortcut& print () | ### print

Print current document. Default: Ctrl-p

Returns: the shortcut of the standard accelerator

const KShortcut& quit () | ### quit

Quit the program. Default: Ctrl-q

Returns: the shortcut of the standard accelerator

const KShortcut& undo () | ### undo

Undo last operation. Default: Ctrl-z

Returns: the shortcut of the standard accelerator

const KShortcut& redo () | ### redo

Redo. Default: Shift-Ctrl-z

Returns: the shortcut of the standard accelerator

const KShortcut& cut () | ### cut

Cut selected area and store it in the clipboard. Default: Ctrl-x

Returns: the shortcut of the standard accelerator

const KShortcut& copy () | ### copy

Copy selected area into the clipboard. Default: Ctrl-c

Returns: the shortcut of the standard accelerator

const KShortcut& paste () | ### paste

Paste contents of clipboard at mouse/cursor position. Default: Ctrl-v

Returns: the shortcut of the standard accelerator

const KShortcut& selectAll () | ### selectAll

Reload. Default: Ctrl-A

Returns: the shortcut of the standard accelerator

const KShortcut& deleteWordBack () | ### deleteWordBack

Delete a word back from mouse/cursor position. Default: Ctrl-Backspace

Returns: the shortcut of the standard accelerator

const KShortcut& deleteWordForward () | ### deleteWordForward

Delete a word forward from mouse/cursor position. Default: Ctrl-Delete

Returns: the shortcut of the standard accelerator

const KShortcut& find () | ### find

Find, search. Default: Ctrl-f

Returns: the shortcut of the standard accelerator

const KShortcut& findNext () | ### findNext

Find/search next. Default: F3

Returns: the shortcut of the standard accelerator

const KShortcut& findPrev () | ### findPrev

Find/search previous. Default: Shift-F3

Returns: the shortcut of the standard accelerator

const KShortcut& replace () | ### replace

Find and replace matches. Default: Ctrl-r

Returns: the shortcut of the standard accelerator

const KShortcut& zoomIn () | ### zoomIn

Zoom in. Default: Ctrl-Plus

Returns: the shortcut of the standard accelerator

const KShortcut& zoomOut () | ### zoomOut

Zoom out. Default: Ctrl-Minus

Returns: the shortcut of the standard accelerator

const KShortcut& insert () | ### insert

Toggle insert/overwrite (with visual feedback, e.g. in the statusbar). Default: Insert

Returns: the shortcut of the standard accelerator

const KShortcut& home () | ### home

Goto beginning of current line. Default: Home

Returns: the shortcut of the standard accelerator

const KShortcut& end () | ### end

Goto end of current line. Default: End

Returns: the shortcut of the standard accelerator

const KShortcut& prior () | ### prior

Scroll up one page. Default: Prior

Returns: the shortcut of the standard accelerator

const KShortcut& next () | ### next

Scroll down one page. Default: Next

Returns: the shortcut of the standard accelerator

const KShortcut& gotoLine () | ### gotoLine

Go to line. Default: Ctrl+G

Returns: the shortcut of the standard accelerator

const KShortcut& addBookmark () | ### addBookmark

Add current page to bookmarks. Default: Ctrl+B

Returns: the shortcut of the standard accelerator

const KShortcut& help () | ### help

Help the user in the current situation. Default: F1

Returns: the shortcut of the standard accelerator

const KShortcut& completion () | ### completion

Complete text in input widgets. Default Ctrl+E

Returns: the shortcut of the standard accelerator

const KShortcut& prevCompletion () | ### prevCompletion

Iterate through a list when completion returns mutiple items. Default: Ctrl+Up

Returns: the shortcut of the standard accelerator

const KShortcut& nextCompletion () | ### nextCompletion

Iterate through a list when completion returns mutiple items. Default: Ctrl+Down

Returns: the shortcut of the standard accelerator

const KShortcut& substringCompletion () | ### substringCompletion

Find a string within another string or list of strings. Default: Ctrl-T

Returns: the shortcut of the standard accelerator

const KShortcut& rotateUp () | ### rotateUp

Help users iterate through a list of entries. Default: Up

Returns: the shortcut of the standard accelerator

const KShortcut& rotateDown () | ### rotateDown

Help users iterate through a list of entries. Default: Down

Returns: the shortcut of the standard accelerator

const KShortcut& popupMenuContext () | ### popupMenuContext

popup a context menu. Default: Menu

Returns: the shortcut of the standard accelerator

const KShortcut& whatsThis () | ### whatsThis

What's This button. Default: Shift+F1

Returns: the shortcut of the standard accelerator

const KShortcut& reload () | ### reload

Reload. Default: F5

Returns: the shortcut of the standard accelerator

const KShortcut& up () | ### up

Up. Default: Alt+Up

Returns: the shortcut of the standard accelerator

const KShortcut& back () | ### back

Back. Default: Alt+Left

Returns: the shortcut of the standard accelerator

const KShortcut& forward () | ### forward

Forward. Default: ALT+Right

Returns: the shortcut of the standard accelerator

const KShortcut& showMenubar () | ### showMenubar

Show Menu Bar. Default: Ctrl-M

Returns: the shortcut of the standard accelerator

QString action (StdAccel id) | ### action

Obsolete. Use name(). Returns a string representation for `accel`.

QString description (StdAccel id) | ### description

Obsolete. Use desc(). Returns a localized description of `accel`.

int key (StdAccel) | ### key

Obsolete. Use shortcut(). Returns the keybinding for `accel`.

int defaultKey (StdAccel accel) | ### defaultKey

Obsolete. Use shortcutDefault().

bool isEqual (const QKeyEvent* pEvent, int keyQt) | ### isEqual

Compare the keys generated by the key event with the value of the integer.

If a modifier (Shift, Alt, Ctrl) key is present in QKeyEvent, its sum with the actual key value is used for comparing it with the integer parameter.

Parameters:

pEvent | the key event to be used in the comparison.
keyQt | the int value to be compared to the key event.

Returns: true if the int value matches the integer representation of the QKeyEvent

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:15 2003, using kdoc 2.0a54.